System.Design 2.0.0.0 System.Object System.Runtime.InteropServices.Guid("ABE5C1F0-C96E-40c4-A22D-4A5CEC899BDC") To be added.

Implements the basic functionality required of a service for providing access to a data source at the EnvDTE.Project level.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  System.Object `` ``

  You should only call the method on data sources that are designable for example, if the value is true.

  This method enables the service implementer to perform custom actions when a data source is added to the design surface.

  When overridden in a derived class, creates and returns an instance of the given data source, and adds it to the design surface.

  An representing an instance of the added data source.

  The designer host. The data source.
- Method
  2.0.0.0
  System.ComponentModel.Design.Data.DataSourceGroupCollection To be added.

  When overridden in a derived class, retrieves the collection of data sources at the EnvDTE.Project level.

  A , or null if there are no data sources at the EnvDTE.Project level.

- Method
  2.0.0.0
  System.ComponentModel.Design.Data.DataSourceGroup `` `` To be added.

  When overridden in a derived class, invokes the Add New Data Source Wizard.

  A collection of newly added data sources, or null if no data sources are added.

  The parent window. The initial position of a form.
- Method
  2.0.0.0
  System.Boolean `` `` `` To be added.

  When overridden in a derived class, invokes the Configure Data Source dialog box on the specified data source.

  true if any changes were made to that data source; otherwise, false.

  The parent window. The initial position of a form. The data source.
- Method
  2.0.0.0
  System.Void `` To be added.

  When overridden in a derived class, notifies the service that a component representing a data source was added to the design surface.

  The data source component.
- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  When overridden in a derived class, gets the value indicating whether the service supports adding a new data source using .

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  When overridden in a derived class, gets the value indicating whether the service supports configuring data sources using .